<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 9/26/15
 * Time: 4:03 PM
 */

use Luticate\Generator\LuGenerator;

require_once('vendor/autoload.php');

Dotenv::load(".");

$gen = new LuGenerator(getenv("DB_CONNECTION"), getenv("DB_DATABASE"), getenv("DB_HOST"),
    getenv("DB_PORT"), getenv("DB_USERNAME"), getenv("DB_PASSWORD"));

$gen->setConfig(array("dbo" =>
    array(
        "namespace" => 'Luticate\Auth\DBO',
        "folder" => 'src/Auth/DBO'
    ),
    "models" =>
        array(
            "namespace" => 'Luticate\Auth\DataAccess\Models',
            "folder" => 'src/Auth/DataAccess/Models'
        ),
    "sp" =>
        array(
            "namespace" => 'Luticate\Auth\DataAccess\SP',
            "folder" => 'src/Auth/DataAccess/SP'
        ),
    "dataaccess" =>
        array(
            "namespace" => 'Luticate\Auth\DataAccess',
            "folder" => 'src/Auth/DataAccess'
        ),
    "business" =>
        array(
            "namespace" => 'Luticate\Auth\Business',
            "folder" => 'src/Auth/Business'
        ),
    "mode" => 0775,
    "ignore" => array(
        "tables" => array(
            "/luticate_users_groups/"
        ),
        "sp" => array()
    )
));
$gen->run();