<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 9/30/15
 * Time: 8:46 PM
 */

namespace Luticate\Auth\DBO;


class LuticateUsersLoginDbo extends LuticateUsersDbo
{
    /**
     * @param $user LuticateUsersDbo
     * @return LuticateUsersLoginDbo|null
     */
    public static function fromUserDbo($user)
    {
        return $user->castAs('Luticate\Auth\DBO\LuticateUsersLoginDbo');
    }

    /**
     * @var string
     */
    protected $_token;
    /**
     * @return string
     */
    public function getToken()
    {
        return $this->_token;
    }
    /**
     * @param string $token
     */
    public function setToken($token)
    {
        $this->_token = $token;
    }

    public function jsonSerialize()
    {
        $array = parent::jsonSerialize();
        unset($array["Password"]);
        unset($array["Salt"]);
        $array["Token"] = $this->_token;
        return $array;
    }

}