<?php

namespace Luticate\Auth\DataAccess;

use Luticate\Auth\DataAccess\SP\SpLuGetUserPermission;
use Luticate\Utils\LuDataAccess;
use Luticate\Auth\DataAccess\Models\LuticatePermissions;
use Luticate\Auth\DBO\LuticatePermissionsDbo;

class LuticatePermissionsDataAccess extends LuDataAccess {
    protected static function getModel()
    {
        return new LuticatePermissions();
    }

    public static function getUserPermission($user_id, $permission_name)
    {
        return SpLuGetUserPermission::execute($user_id, $permission_name);
    }
}