--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

SET search_path = public, pg_catalog;

--
-- Data for Name: luticate_groups; Type: TABLE DATA; Schema: public; Owner: dev
--

COPY luticate_groups (id, name) FROM stdin;
1	test
2	test2
\.


--
-- Name: luticate_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('luticate_groups_id_seq', 2, true);


--
-- Data for Name: luticate_permissions; Type: TABLE DATA; Schema: public; Owner: dev
--

COPY luticate_permissions (name, value) FROM stdin;
perm_1	t
perm_2	f
perm_3	t
perm_4	f
perm_5	t
perm_6	f
perm_7	f
perm_8	t
\.


--
-- Data for Name: luticate_permissions_groups; Type: TABLE DATA; Schema: public; Owner: dev
--

COPY luticate_permissions_groups (name, value, group_id) FROM stdin;
perm_3	t	1
perm_4	f	1
perm_5	t	1
perm_5	f	2
perm_6	t	1
perm_6	t	2
perm_7	f	1
\.


--
-- Data for Name: luticate_users; Type: TABLE DATA; Schema: public; Owner: dev
--

COPY luticate_users (id, username, email, password, salt) FROM stdin;
1	test	test@test.test	test	test
\.


--
-- Data for Name: luticate_permissions_users; Type: TABLE DATA; Schema: public; Owner: dev
--

COPY luticate_permissions_users (name, value, user_id) FROM stdin;
perm_7	t	1
perm_8	f	1
\.


--
-- Data for Name: luticate_users_groups; Type: TABLE DATA; Schema: public; Owner: dev
--

COPY luticate_users_groups (user_id, group_id) FROM stdin;
1	1
1	2
\.


--
-- Name: luticate_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('luticate_users_id_seq', 1, true);


--
-- PostgreSQL database dump complete
--

