<?php

namespace Luticate\Auth\Business;

use Luticate\Utils\LuBusiness;
use Luticate\Auth\DataAccess\LuticatePermissionsDataAccess;
use Luticate\Auth\DBO\LuticatePermissionsDbo;

class LuticatePermissionsBusiness extends LuBusiness {
    protected static function getDataAccess()
    {
        return new LuticatePermissionsDataAccess();
    }

    public static function getUserPermission($user_id, $permission_name)
    {
        return LuticatePermissionsDataAccess::getUserPermission($user_id, $permission_name);
    }
}